#ifndef _CONFIG_H
#define _CONFIG_H

#define Z_INC_DIR 0 // Counter-clockwise rotation
#define Z_DEC_DIR 1 // Clockwise rotation
#define Z_STEPS_PER_MM 55.555 // Rounded

#define E_INC_DIR 0 // Counter-clockwise rotation
#define E_DEC_DIR 1 // Clockwise rotation
#define E_STEPS_PER_MM 55.555 // Rounded

#define X_INC_DIR 0 // Counter-clockwise rotation
#define X_DEC_DIR 1 // Clockwise rotation
#define X_STEPS_PER_MM 55.555 // Rounded
  
#define Y_INC_DIR 1 // Counter-clockwise rotation
#define Y_DEC_DIR 0 // Clockwise rotation
#define Y_STEPS_PER_MM 55.555

#define PROCESSOR_TX 0
#define PROCESSOR_RX 2
#define PROCESSOR_MODE 0
#define PROCESSOR_BAUD 115200

#define PARSER_RX 1
#define PARSER_TX 3
#define PARSER_MODE 0
#define PARSER_BAUD 115200

#define SD_DO 22
#define SD_CLK 23
#define SD_DI 24
#define SD_CS 25

#define ALL_AXES_MAX_SPEED (CLKFREQ / 5714)
#define ALL_AXES_PULSE_WIDTH (CLKFREQ / 1000000)

#define DEBUG

#define GCODE_ELEMENTS 10

#endif /* _CONFIG_H */